diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index a0a7435a03..0f14c26126 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3966,14 +3966,6 @@ ALTER TABLE measurement ATTACH PARTITION measurement_y2008m02
 
      <listitem>
       <para>
-       While primary keys are supported on partitioned tables, foreign
-       keys referencing partitioned tables are not supported.  (Foreign key
-       references from a partitioned table to some other table are supported.)
-      </para>
-     </listitem>
-
-     <listitem>
-      <para>
        <literal>BEFORE ROW</literal> triggers, if necessary, must be defined
        on individual partitions, not the partitioned table.
       </para>
@@ -4356,6 +4348,15 @@ ALTER TABLE measurement_y2008m02 INHERIT measurement;
 
       <listitem>
        <para>
+        Indexes and foreign key constraints apply to single tables
+        and not to their inheritance children,
+        hence they have some <link linkend="ddl-inherit">caveats</link>
+        to be aware of.
+       </para>
+      </listitem>
+
+      <listitem>
+       <para>
         The schemes shown here assume that the values of a row's key column(s)
         never change, or at least do not change enough to require it to move to another partition.
         An <command>UPDATE</command> that attempts
